import { http } from '@ths-vue-business/u-common-base';
import { getCurrentInstance, reactive, watch, toRefs } from 'vue';

/*
 * @Description: 字典项接口配置
 * @Author: niusheng
 * @Date: 2022-03-22 13:40:23
 * @LastEditors: likang likang@internal.ths.com.cn
 * @LastEditTime: 2023-11-28 11:13:04
 * @FilePath: \front-end\microapp\package\ths\services\s-common-base\src\dictionary-service.ts
 */
// 枚举 - 字典分类编码
var DictionaryCodeEnum;
(function (DictionaryCodeEnum) {
    // 工作流（BPM） - 待办 - 项目状态下拉
    DictionaryCodeEnum["BPM_PRO_STATUS"] = "pro_status";
    // 工作流（BPM） - 待办 - 项目类型下拉
    DictionaryCodeEnum["BPM_ITEM_TYPE"] = "item_type";
})(DictionaryCodeEnum || (DictionaryCodeEnum = {}));
// 接口地址 - 字典项
const GET_DICTIONARYS_BY_CODE_URL = `${appConfig?.jdpDemoApiContext}/components/dictionary/getDictionariesByCode`;
/**
 * 通过 字典分类编码 获取 字典条目集合
 * @param dictionaryCode 字典分类编码
 * @param schema 是否调用新接口，dsm: 是
 * @returns [{ code:'1', name:'男'... }]
 */
async function getDictionarysByCode(dictionaryCode, schema) {
    return http.get(`${GET_DICTIONARYS_BY_CODE_URL}?treeCode=${dictionaryCode}&schema=${schema || ''}`);
}

/*
 * @Description: 字典项接口配置
 * @Author: niusheng
 * @Date: 2022-03-22 13:40:23
 * @LastEditors: lichun
 * @LastEditTime: 2022-03-29 13:24:40
 * @FilePath: \backstage-template\backstage-micro-app-template\src\services\common\dictionary-utils.ts
 */
const routerService = {
    /**
     *  获取路由
     *  @returns 当前路由以及Router实例
     */
    useRouter() {
        const vm = getCurrentInstance();
        const state = reactive({ route: vm?.proxy?.$route });
        watch(() => vm?.proxy?.$route, (newValue) => { state.route = newValue; });
        return { ...toRefs(state), router: vm?.proxy?.$router };
    },
};

export { DictionaryCodeEnum, GET_DICTIONARYS_BY_CODE_URL, getDictionarysByCode, routerService };
