(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@ths-vue-business/u-common-base'), require('https://unpkg.com/vue@next')) :
  typeof define === 'function' && define.amd ? define(['exports', '@ths-vue-business/u-common-base', 'https://unpkg.com/vue@next'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["S-common-base"] = {}, global["@ths-vue-business/u-common-base"], global.Vue));
})(this, (function (exports, uCommonBase, vue) { 'use strict';

  /*
   * @Description: 字典项接口配置
   * @Author: niusheng
   * @Date: 2022-03-22 13:40:23
   * @LastEditors: likang likang@internal.ths.com.cn
   * @LastEditTime: 2023-11-28 11:13:04
   * @FilePath: \front-end\microapp\package\ths\services\s-common-base\src\dictionary-service.ts
   */
  // 枚举 - 字典分类编码
  exports.DictionaryCodeEnum = void 0;
  (function (DictionaryCodeEnum) {
      // 工作流（BPM） - 待办 - 项目状态下拉
      DictionaryCodeEnum["BPM_PRO_STATUS"] = "pro_status";
      // 工作流（BPM） - 待办 - 项目类型下拉
      DictionaryCodeEnum["BPM_ITEM_TYPE"] = "item_type";
  })(exports.DictionaryCodeEnum || (exports.DictionaryCodeEnum = {}));
  // 接口地址 - 字典项
  const GET_DICTIONARYS_BY_CODE_URL = `${appConfig?.jdpDemoApiContext}/components/dictionary/getDictionariesByCode`;
  /**
   * 通过 字典分类编码 获取 字典条目集合
   * @param dictionaryCode 字典分类编码
   * @param schema 是否调用新接口，dsm: 是
   * @returns [{ code:'1', name:'男'... }]
   */
  async function getDictionarysByCode(dictionaryCode, schema) {
      return uCommonBase.http.get(`${GET_DICTIONARYS_BY_CODE_URL}?treeCode=${dictionaryCode}&schema=${schema || ''}`);
  }

  /*
   * @Description: 字典项接口配置
   * @Author: niusheng
   * @Date: 2022-03-22 13:40:23
   * @LastEditors: lichun
   * @LastEditTime: 2022-03-29 13:24:40
   * @FilePath: \backstage-template\backstage-micro-app-template\src\services\common\dictionary-utils.ts
   */
  const routerService = {
      /**
       *  获取路由
       *  @returns 当前路由以及Router实例
       */
      useRouter() {
          const vm = vue.getCurrentInstance();
          const state = vue.reactive({ route: vm?.proxy?.$route });
          vue.watch(() => vm?.proxy?.$route, (newValue) => { state.route = newValue; });
          return { ...vue.toRefs(state), router: vm?.proxy?.$router };
      },
  };

  exports.GET_DICTIONARYS_BY_CODE_URL = GET_DICTIONARYS_BY_CODE_URL;
  exports.getDictionarysByCode = getDictionarysByCode;
  exports.routerService = routerService;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=index.js.map
